baseURL = 'https://www.tutosportexpert.com'

defaultContentLanguage = "en"

# languageCode = 'en-us'

title = 'TutoSport Expert'
theme = 'tse'

enableEmoji = true

[params]
    customCSS = 'css/custom.scss'

    # The path to your "favicon". This should be a square (at least 32px x 32px) png-file.
    favicon = "favicon/favicon-32x32.png"

    # These "images" are used for the structured data templates. This will show up, when
    # services like Twitter or Slack want to generate a preview of a link to your site.
    # See https://gohugo.io/templates/internal#twitter-cards and https://gohugo.io/templates/internal#open-graph.
    # NOT the actual header background image, go to _index.md instead
    images = ["tutosportexpert/cover.avif"]

    # When set true, it creates a visual guard (partially transparent rounded box), preventing non-ideal background images from interfering with title/description headings
    # Ideal images are homogenous around the centre and contrasting to the text.
    # see CSS classes: .title-and-description-guard, .blog-title, .blog-description
    # see _index.md header_headline and header_subheadline
    title_guard = false

    # Another "title" :-). This one is used as the site_name on the Hugo's internal
    # opengraph structured data template.
    # See https://ogp.me/ and https://gohugo.io/templates/internal#open-graph.
    title = "TutoSport Expert"

    # The "description" of your website. This is used in the meta data of your generated html.
    description = "Trainings for Sport Professionals"

    # Show a menu of languages available
    language_menu = true

    # Show also a language menu item for the current language, if false only
    # show the remaining languages
    show_current_lang = true

    # A "copyright"-line to be added at the bottom of the page.
    # Hint: Plain HTML is supported in here as well. So you may e.g. add a link to your legal imprint-page.
    copyright = "©2025 TutosSport Expert "

    # This theme will, by default, inject a design-by-line at the bottom of the page.
    # You can turn it off, but we would really appreciate if you don’t :-)
    hidedesignbyline = false

    # The sections of the home page alternate styling. Mark invert as true to swap the styling of the sections
    invertSectionColors = false

    # Options used for automatic image generation. see: https://gohugo.io/content-management/image-processing/
    image_options = "webp q90 lanczos photo"

    # Use "page_title | site_title" for <title> tags
    # e.g. <title>Legal | Jane Doe - Nutrition Coach & Chef Consultant</title>
    combine_page_and_site_title = true

    [params.footer]
    # Show contact icons for email/phone (if specified) in the footer of the page
    showContactIcons = true

    # Show links indicated with footer_menu and footer_menu_title in the footer of the page
    showFooterLinks = true

    [params.meta]
        keywords = "some, keywords, for, seo, you, know, google, duckduckgo, and, such"

    [[params.contacts]]
        label = "email"
        value = "contact@tutosportexpert.com"
        url = "mailto:contact@tutosportexpert.com"
        icon = "fa fa-envelope"

    # Add additional contacts here!
    # [[params.contacts]]
    #     label = ""
    #     value = ""
    #     url = ""
    #     icon = ""

 #   [[params.languageImg]]
 #   [[[params.languageImg.en]]]
 #       languageImg = "/images/lang-en-100.png"
 #   [[[params.languageImg.fr]]]
 #       languageImg = "/images/lang-fr-100.png"
 #   [[[params.languageImg.pt]]]
 #       languageImg = "/images/lang-br-100.png"

# Define additional languages
[languages]
  [languages.en]
    weight = 10
    #languageName = "English"
    contentDir = "content/en"
    
  [languages.br]
    weight = 20
    contentDir = "content/br"
    #languageName = "Português"
    
  [languages.fr]
    weight = 30
    contentDir = "content/fr"
    #languageName = "Français"
